\documentclass[a4]{article}
\usepackage[margin=1in]{geometry}
\usepackage[czech]{babel}
\usepackage[utf8]{inputenc}
\usepackage{mathtools}
\usepackage{amssymb}
\usepackage{booktabs}
\usepackage{pbox}
\usepackage{makecell}
\usepackage{float}
\renewcommand\theadalign{rb}

\title{BI-AAG: Domácí úloha z cvičení 4 pro ZS 2018/2019}
\author{
Roman Hodulák \\
hodulrom@fit.cvut.cz
}
\date{\today}

\begin{document}
\maketitle

\end{document}

This is never printed
\begin{align*}
	m_{i,j} = j &  & j \in \{1,2,\dots,n-1,n\}
\end{align*}
